Skip to main content
`Ctrl`+`K`

# DMDAGetFieldNames

Gets the name of all the components in the vector associated with the `DMDA`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetFieldNames(DM da, const char *const **names)

Not Collective; names will contain a common value; No Fortran Support

## Input Parameter

- da - the `DMDA` object

## Output Parameter

- names - the names of the components, final string is `NULL`, will have the same number of entries as the dof used in creating the `DMDA`

## Fortran Note

Use `DMDAGetFieldName()`

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetFieldName()`, `DMDASetCoordinateName()`, `DMDAGetCoordinateName()`, `DMDASetFieldName()`, `DMDASetFieldNames()`

## Level

intermediate

## Location

src/dm/impls/da/dacorn.c

## Examples

src/ts/tutorials/extchemfield.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages